From 73c15bfdea388347455810c3eb98dbff235d3d08 Mon Sep 17 00:00:00 2001
From: Jesse Zhang <sbjesse@gmail.com>
Date: Wed, 22 Apr 2020 06:51:05 -0700
Subject: [PATCH] Fix header / trailer typos for m4 macros

These seem like legit names in earlier iterations of respective patches
(commit b779168ffe33 "Detect PG_PRINTF_ATTRIBUTE automatically." and
commit 6869b4f25847 "Add C++ support to configure.") but the macro had
been renamed out of sync with the header / trailer comment in the final
committed patch.
---
 config/c-compiler.m4 | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/config/c-compiler.m4 b/config/c-compiler.m4
index 501b74b3a19..c48cba9cf9a 100644
--- a/config/c-compiler.m4
+++ b/config/c-compiler.m4
@@ -2,7 +2,7 @@
 # config/c-compiler.m4
 
 
-# PGAC_C_PRINTF_ARCHETYPE
+# PGAC_PRINTF_ARCHETYPE
 # -----------------------
 # Select the format archetype to be used by gcc to check printf-type functions.
 # We prefer "gnu_printf", as that most closely matches the features supported
@@ -466,7 +466,7 @@ undefine([Ac_cachevar])dnl
 # command-line option. If it does, add the string to CXXFLAGS.
 AC_DEFUN([PGAC_PROG_CXX_CFLAGS_OPT],
 [PGAC_PROG_VARCXX_VARFLAGS_OPT(CXX, CXXFLAGS, $1)
-])# PGAC_PROG_CXX_VAR_OPT
+])# PGAC_PROG_CXX_CFLAGS_OPT
 
 
 
-- 
2.26.2

